## Apache Zeta Components Manual :: Docs For Class ezcMvcReversibleRoute

### MvcTools::ezcMvcReversibleRoute

### Interface ezcMvcReversibleRoute

The interface that should be implemented by the different route types that allow Url generation from the route definition.

Source for this file: /MvcTools/src/interfaces/reversed_route.php

Version: | //autogentag//

### Method Summary

public void | `generateUrl( [ $arguments = null] )` Generates an URL back out of a route, including possible arguments

### Methods

#### generateUrl

void generateUrl( [ $arguments = null] )

Generates an URL back out of a route, including possible arguments

##### Parameters:

Name | Type | Description
--- | --- | ---
`$arguments` | array |

Documentation generated by phpDocumentor 1.4.3